Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234563 - Review Request: tecnoballz - A Breakout like game
Summary: Review Request: tecnoballz - A Breakout like game
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 05:43 UTC by Andrea Musuruane
Modified: 2016-03-26 14:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 19:43:06 UTC
hdegoede: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)
PATCH: drop sgid rights ASAP (deleted)
2007-04-01 09:20 UTC, Hans de Goede
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1308179 None None None Never

Internal Links: 1308179

Description Andrea Musuruane 2007-03-30 05:43:14 UTC
Spec URL: http://www.webalice.it/musuruan/RPMS/reviews/tecnoballz.spec
SRPM URL: http://www.webalice.it/musuruan/RPMS/reviews/tecnoballz-0.91-1.src.rpm

Description:
TecnoballZ is a "breaking blocks" game that was first written for the
Amiga platfrom.
You'll need to break all the blocks in each level. The game is divided
into Areas which are divided into Levels. Between some levels, you
have to defeat a guardian to pass to the next level. When passing an
Area, a new edge is open. You can buy weapons and bonus between levels
with the money earned during the game.

Comment 1 Andrea Musuruane 2007-03-30 07:11:09 UTC
Correct SRPM URL: 
http://www.webalice.it/musuruan/RPMS/reviews/tecnoballz-0.91-2.src.rpm


Comment 2 Hans de Goede 2007-03-30 19:25:41 UTC
Looks good overal, however:

Must FIX:
---------
* This form of the cache scriptlets is no longer used: "
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
" instead the guidelines / scriptlets page now says: "
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
" Please change this to the new form.

* If you use sgid games, then you must make sure the game drops the additonal
  rights ASAP, see:
http://fedoraproject.org/wiki/SIGs/Games?action=show&redirect=Extras%2FSIGs%2FGames#head-367e7208aacfec8f8aff1b34c1795e43c0967ecd
  if you need help with this let me know.



Comment 3 Andrea Musuruane 2007-03-31 07:51:34 UTC
(In reply to comment #2)
> * This form of the cache scriptlets is no longer used: "
> touch --no-create %{_datadir}/icons/hicolor || :
> if [ -x %{_bindir}/gtk-update-icon-cache ]; then
>     %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
> fi
> " instead the guidelines / scriptlets page now says: "
> touch --no-create %{_datadir}/icons/hicolor || :
> %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
> " Please change this to the new form.

OK.

> * If you use sgid games, then you must make sure the game drops the additonal
>   rights ASAP, see:
>
http://fedoraproject.org/wiki/SIGs/Games?action=show&redirect=Extras%2FSIGs%2FGames#head-367e7208aacfec8f8aff1b34c1795e43c0967ecd
>   if you need help with this let me know.

Yes, I need help. Thanks.

BTW, just to know, are there any other options to handle the highscore file that
don't require programming?

Comment 4 Hans de Goede 2007-04-01 09:20:41 UTC
Created attachment 151379 [details]
PATCH: drop sgid rights ASAP

As promised, and to answer you're question no. with highscores there are 2
options, which both take modfication / programming in this case:
1) Use shared highscores and drop sgid asap
2) Use per user highscores in $HOME

Comment 5 Andrea Musuruane 2007-04-01 13:10:39 UTC
Spec URL: http://www.webalice.it/musuruan/RPMS/reviews/tecnoballz.spec
SRPM URL: http://www.webalice.it/musuruan/RPMS/reviews/tecnoballz-0.91-3.src.rpm

Changelog
- added a patch by Hans de Goede to drop setgid privileges when not needed
- changed icon cache scriptles to be compliant with updated guidelines
- changed vendor to fedora in desktop-file-install


Comment 6 Hans de Goede 2007-04-01 19:48:12 UTC
Erm, you messed up the %postun script (you lost the "touch"), once thats fixed
I'm ready to approve this.


Comment 7 Andrea Musuruane 2007-04-01 20:06:41 UTC
(In reply to comment #6)
> Erm, you messed up the %postun script (you lost the "touch"), once thats fixed
> I'm ready to approve this.

Sorry for that.

Spec URL: http://www.webalice.it/musuruan/RPMS/reviews/tecnoballz.spec
SRPM URL: http://www.webalice.it/musuruan/RPMS/reviews/tecnoballz-0.91-4.src.rpm

Changelog:
- corrected silly error in the %%postun script


Comment 8 Hans de Goede 2007-04-02 05:15:09 UTC
MUST:
=====
* rpmlint output is:
E: tecnoballz non-standard-executable-perm /usr/bin/tecnoballz 02755
This is "normal" for this package and can be ignored
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
0 No duplicate files & Permissions
* %clean & macro usage OK
* Contains code and permissable content
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* .desktop file as required and properly installed

Approved!


Comment 9 Andrea Musuruane 2007-04-03 05:46:24 UTC
New Package CVS Request
=======================
Package Name: tecnoballz
Short Description:  A Breakout like game
Owners: musuruan@gmail.com
Branches: FC-5 FC-6
InitialCC: musuruan@gmail.com

Comment 10 Hans de Goede 2007-04-03 09:17:11 UTC
Andrea,

I missed this during review, but please change the summary from: "A Breakout
like game" to "A Brick Busting game" before importing as breakout is a trademark.


Comment 11 Andrea Musuruane 2007-04-03 09:38:06 UTC
Hans, I will as you requested.

Comment 12 Jens Petersen 2007-04-03 12:40:53 UTC
cvs request done with changed description.

BTW no need to put the owner also in InitialCC.

Comment 13 Andrea Musuruane 2007-04-03 19:43:06 UTC
Built successfully. Closing.


Note You need to log in before you can comment on or make changes to this bug.